#include <bits/stdc++.h>
using namespace std;
ifstream f1("BAI2_18.inp");
ofstream f2("BAI2_18.out");
long long n,d[100000],dem=0,i,j,k;
bool kt(long long a,long long b,long long c)
{
    if((a+b)>c && (b+c)>a && (c+a)>b){
        return true;
    }
    else{
        return false;
    }
}
int main()
{
    f1>>n;
    for(i=1;i<=n;i++){
        f1>>d[i];
    }
    for(i=1;i<=n-2;i++){
        for(j=i+1;j<=n-1;j++){
            for(k=j+1;k<=n;k++){
                if(kt(d[i],d[j],d[k])==true){
                    dem++;
                }
            }
        }
    }
    f2<<dem;
    f1.close();
    f2.close();
}
